webdevqa.jp.net

エラー:psycopg2のインストール時にコマンド 'gcc'が終了ステータスで失敗しました

openerpインストールプロセス用にpsycopg2をインストールする必要がありますが、常にそのエラーが見つかりました。既にpipeasy_installを使用していますが、私のgccは最新バージョンです。私の問題を解決するために本当に助けが必要です...

これは、easy_installでの完全なエラーです。

[[email protected] ~]# easy_install psycopg2    
Searching for psycopg2    
Reading http://pypi.python.org/simple/psycopg2/    
Reading http://initd.org/psycopg/    
Reading http://initd.org/projects/psycopg2    
Best match: psycopg2 2.4.5    
Downloading http://initd.org/psycopg/tarballs/PSYCOPG-2-4/psycopg2-2.4.5.tar.gz    
Processing psycopg2-2.4.5.tar.gz    
Running psycopg2-2.4.5/setup.py -q bdist_Egg --dist-dir /tmp/easy_install-anWVvJ/psycopg2-2.4.5/Egg-dist-tmp-cZbdtn

no previously-included directories found matching 'doc/src/_build' In file included from psycopg/psycopgmodule.c:27:
./psycopg/psycopg.h:31:22: error: libpq-fe.h: No such file or directory In file included from psycopg/psycopgmodule.c:29:

...

error: Setup script exited with error: command 'gcc' failed with exit status 1
21
ws_123

PostgreSQLの開発パッケージをインストールする必要があります。たとえば、UbuntuではSudo apt-get install libpq-dev...そしてCentOSの場合はyum install postgresql-devel

34
Jon Clements

CentOSの場合、これらのパッケージのインストールを解決したのと同じ問題がありました。

Sudo yum install postgresql-libs
Sudo yum install postgresql-devel
Sudo yum install python-devel

その時だけ、私は正常に実行することができました:

Sudo easy_install psycopg2
30

システムにPythonヘッダーがありません。これを修正するには、次を実行します。

Sudo apt-get install python-dev

または

Sudo apt-get install python3-dev
14
Heroic

EC2インスタンス上の新しいubuntu 14.04.2 LTSでは、次のパッケージをインストールした後にpsycopg2をインストールできました。

Sudo apt-get install gcc
Sudo apt-get install postgres-xc-server-dev
Sudo apt-get install libpq-dev
Sudo apt-get install postgresql-client-common
Sudo apt-get install postgresql-common

そして、新しいAMI Linux(CentOS)インスタンスでは:

Sudo yum install postgresql-devel
Sudo yum install gcc*

それが役に立てば幸い、

エレズ

8
ErezK

単純なAmazon Linux EC2インスタンスにpgsqlをインストールしようとしましたが、このエラーが発生していました。 Nicolásの回答によれば、提案されたパッケージのリストをインストールしましたが、エラーが発生し続けました。エラーをより詳しく見ると、gccコマンドにpgsql93ファイルが含まれていることに気付きました。

gcc -pthread -fno-strict-aliasing -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -D_GNU_SOURCE -fPIC -fwrapv -DNDEBUG -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -D_GNU_SOURCE -fPIC -fwrapv -fPIC -DPSYCOPG_DEFAULT_PYDATETIME=1 -DPSYCOPG_VERSION="2.6.1 (dt dec pq3 ext lo64)" -DPG_VERSION_HEX=0x09030A -DHAVE_LO64=1 -I/usr/include/python2.7 -I. -I/usr/include/pgsql93 -I/usr/include/pgsql93/server -c psycopg/psycopgmodule.c -o build/temp.linux-x86_64-2.7/psycopg/psycopgmodule.o -Wdeclaration-after-statement

/usr/include/を見ると、pgsql92/が表示されますが、pgsql93/は表示されません。だから、pgsql関連のyumパッケージがインストールされているものを見てみたところ、次のことに気付きました。

postgresql92.x86_64 postgresql92-devel.x86_64 postgresql92-libs.x86_64 postgresql93.x86_64 postgresql93-libs.x86_64

postgresql93-develがあるはずのように思えたので、試しました:

Sudo yum install postgresql93-devel

そして、それは私のために問題を修正しました!だから私はテーマだと思います:gcc呼び出しを見て、それがどのディレクトリを引き込んでいるかを見てください。そこからパン粉に従ってください。

5
Aaron Torgerson

私はこの問題を抱えていましたが、実行することで解決しました:

pip install -Iv psycopg2==2.7.7

最新バージョンのインストールに問題があります+ python3.7

4
Joe Geezer

にとって Ubuntu 14.04、Dockerイメージからpython:3.4.3-slimこの組み合わせは私のために働いた:

Sudo apt-get update
Sudo apt-get install -y build-essential
Sudo apt-get install -y python3.4-dev
Sudo apt-get install -y libpq-dev

pip3 install psycopg2

注意 build-essential パッケージ。私の場合、それは非常に重要でした。

3
neciu

CentOS 7では、Sudo yum install postgresql96-devel.x86_64を使用して問題を解決しました。

3
ji-ruh

Gccの呼び出しに失敗しました。gccはソースをコンパイルできませんでした。おそらく原因は

./psycopg/psycopg.h:31:22: error: libpq-fe.h: No such file or directory In file included from psycopg/psycopgmodule.c:29:

ヘッダーlibpq-fe.hは、検索パスのどこにもありません。

2
Daniel Fischer

私にとって、不足しているパッケージは

libpqxx-devel.x86_64
1
Jeff

これは、Ubuntu Server 14.10 64ビットで機能しました。

Sudo apt-get install libpqxx-dev
1
schnbrg